Subject: bug#15999: closed (Re: bug#15999: 24.3.50; Redisplay broken with split windows)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 29 Nov 2013 18:22:02 +0000

Your bug report

#15999: 24.3.50; Redisplay broken with split windows

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15999: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15999
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15999: 24.3.50; Redisplay broken with split windows
From: Stefan Monnier <[email-masked]>
To: Stephen Berman <[email-masked]>
Cc: [email-masked]
Date: Fri, 29 Nov 2013 13:21:10 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

>    in the other buffer the time display is unchanged, and the scroll bar
>    disappears (note my build does not use toolkit scroll bars, I don't

OK, I figured out why the scrollbar disappeared.  Should all be fixed
now, thank you,

        Stefan

Subject: 24.3.50; Redisplay broken with split windows
From: Stephen Berman <[email-masked]>
To: [email-masked]
Date: Fri, 29 Nov 2013 17:00:43 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

A recent change -- my guess is this one (I don't have time now to bisect
to confirm this suspicion):

115272: Stefan Monnier 2013-11-28 Refine redisplay optimizations to only
redisplay *some* frames/windows

-- has broken redisplay with split windows.  To reproduce:

0. emacs -Q
1. M-x display-time-mode
3. C-x 2 (or C- x 3)
4. C-x b, so one window displays *scratch* and the other *Messages*.
5. When the displayed time changes, only the current buffer is updated;
   in the other buffer the time display is unchanged, and the scroll bar
   disappears (note my build does not use toolkit scroll bars, I don't
   know if that makes a differences.)  This states of affairs remains
   until the non-updated buffer becomes current.

In GNU Emacs 24.3.50.14 (x86_64-suse-linux-gnu, GTK+ Version 3.10.2)
 of 2013-11-29 on rosalinde
Bzr revision: 115285 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11403901
System Description:	openSUSE 13.1 (Bottle) (x86_64)

Configured using:
 `configure --without-toolkit-scroll-bars CFLAGS=-g3'

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Message

Minor modes in effect:
  diff-auto-refine-mode: t
  gnus-message-citation-mode: t
  mml-mode: t
  shell-dirtrack-mode: t
  show-paren-mode: t
  recentf-mode: t
  display-time-mode: t
  electric-pair-mode: t
  electric-indent-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  temp-buffer-resize-mode: t
  column-number-mode: t
  line-number-mode: t
  auto-fill-function: message-do-auto-fill
  abbrev-mode: t